/******************************************************************************
 SCI Template Game
 By Brian Provinciano
 ******************************************************************************
 rm001.sc
 Contains the first room of your game. 
 ******************************************************************************/
(include "sci.sh")
(include "game.sh")
/******************************************************************************/
(script 1)
/******************************************************************************/
(use "main")
(use "controls")
(use "cycle")
(use "game")
(use "feature")
(use "obj")
(use "inv")
(use "door")
(use "jump")
(use "dpath")
(local
	currentCel
	previousCel
	loop
)
/******************************************************************************/
(instance public rm001 of Rm
	(properties
		picture scriptNumber
		// Set up the rooms to go to/come from here
		north 0
		east 0
		south 0
		west 0
	)
	
	(method (doit)
		(var randomSound)
        = currentCel (send gEgo:cel)

        (if (<> currentCel previousCel)
        	= loop (send gEgo:loop)
            = randomSound Random(0 3) 
 
             // ego is walking horizonally
			 (if(== loop 0 or == loop 1)
				 (if(== currentCel 0 or == currentCel 4)	    
					(send gTheSoundFX:
						prevSignal(0)
						stop()
						number(randomSound)
						play()
				    )
				 )
			 )
			 
			 // ego is walking vertically
			 (if(== loop 2 or == loop 3)
				 (if(== currentCel 3 or == currentCel 0)	    
					(send gTheSoundFX:
						prevSignal(0)
						stop()
						number(randomSound)
						play()
				    )
				 )
			 )
		)
		= previousCel currentCel
	)
	
	(method (init)
		// same in every script, starts things up
  		(super:init())
  		(self:setScript(RoomScript))
  		
  		// Check which room ego came from and position it
  		(switch(gPreviousRoomNumber)
            /******************************************************
             * Put the cases here for the rooms ego can come from *
             ******************************************************/ /*
            (case north
  				(send gEgo:
  					posn(210 110)
  					loop(2)
  				)
  			)*/
            // Set up ego's position if it hasn't come from any room
  			(default
  				(send gEgo:
  					posn(150 130)
  					loop(1)
  				)
  			)
  		)
		
		// Set up the ego
		SetUpEgo()		
		(send gEgo:init())

        /****************************************
         * Set up the room's music to play here *
         ****************************************/ /*
		(send gTheMusic:
			prevSignal(0)
			stop()
			number(scriptNumber)
			loop(-1)
			play()
		)*/
		/*
        (send gTheSoundFX:
			prevSignal(0)
			stop()
			number(0)
			loop(-1)
			play()
		)
		*/
        /**************************************************
         * Add the rest of your initialization stuff here *
         **************************************************/
  )
)
/******************************************************************************/
(instance RoomScript of Script
	(properties)
	(method (handleEvent pEvent)
        (super:handleEvent(pEvent))

        /*****************************************
         * Handle the possible said phrases here *
         *****************************************/
        (if(Said('look'))
            Print("You are in an empty room")  
        )
 	)
)
/******************************************************************************/
